Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Interface Session

All Known Implementing Classes:
  StandardSession

public interface Session

A Session is the Catalina-internal facade for an `HttpSession` that is used to maintain state information between requests for a particular user of a web application.

Version:
  $Revision: 1.4 $ $Date: 2004/02/27 14:58:39 $
Author:
  Craig R. McClanahan

Field Summary
`static java.lang.String` | `SESSION_CREATED_EVENT` The SessionEvent event type when a session is created.
`static java.lang.String` | `SESSION_DESTROYED_EVENT` The SessionEvent event type when a session is destroyed.

Method Summary
`void` | `access()` Update the accessed time information for this session.
`void` | `addSessionListener(SessionListener listener)` Add a session event listener to this component.
`void` | `endAccess()` End access to the session.
`void` | `expire()` Perform the internal processing required to invalidate this session, without triggering an exception if the session has already expired.
`java.lang.String` | `getAuthType()` Return the authentication type used to authenticate our cached Principal, if any.
`long` | `getCreationTime()` Return the creation time for this session.
`java.lang.String` | `getId()` Return the session identifier for this session.
`java.lang.String` | `getInfo()` Return descriptive information about this Session implementation and the corresponding version number, in the format `<description>/<version>`.
`long` | `getLastAccessedTime()` Return the last time the client sent a request associated with this session, as the number of milliseconds since midnight, January 1, 1970 GMT.
`Manager` | `getManager()` Return the Manager within which this Session is valid.
`int` | `getMaxInactiveInterval()` Return the maximum time interval, in seconds, between client requests before the servlet container will invalidate the session.
`java.lang.Object` | `getNote(java.lang.String name)` Return the object bound with the specified name to the internal notes for this session, or `null` if no such binding exists.
`java.util.Iterator` | `getNoteNames()` Return an Iterator containing the String names of all notes bindings that exist for this session.
`java.security.Principal` | `getPrincipal()` Return the authenticated Principal that is associated with this Session.
`javax.servlet.http.HttpSession` | `getSession()` Return the `HttpSession` for which this object is the facade.
`boolean` | `isValid()` Return the `isValid` flag for this session.
`void` | `recycle()` Release all object references, and initialize instance variables, in preparation for reuse of this object.
`void` | `removeNote(java.lang.String name)` Remove any object bound to the specified name in the internal notes for this session.
`void` | `removeSessionListener(SessionListener listener)` Remove a session event listener from this component.
`void` | `setAuthType(java.lang.String authType)` Set the authentication type used to authenticate our cached Principal, if any.
`void` | `setCreationTime(long time)` Set the creation time for this session.
`void` | `setId(java.lang.String id)` Set the session identifier for this session.
`void` | `setManager(Manager manager)` Set the Manager within which this Session is valid.
`void` | `setMaxInactiveInterval(int interval)` Set the maximum time interval, in seconds, between client requests before the servlet container will invalidate the session.
`void` | `setNew(boolean isNew)` Set the `isNew` flag for this session.
`void` | `setNote(java.lang.String name, java.lang.Object value)` Bind an object to a specified name in the internal notes associated with this session, replacing any existing binding for this name.
`void` | `setPrincipal(java.security.Principal principal)` Set the authenticated Principal that is associated with this Session.
`void` | `setValid(boolean isValid)` Set the `isValid` flag for this session.

Field Detail

### SESSION_CREATED_EVENT

    public static final java.lang.String SESSION_CREATED_EVENT

  The SessionEvent event type when a session is created.

  See Also:
    Constant Field Values

### SESSION_DESTROYED_EVENT

    public static final java.lang.String SESSION_DESTROYED_EVENT

  The SessionEvent event type when a session is destroyed.

  See Also:
    Constant Field Values

Method Detail

### getAuthType

    public java.lang.String getAuthType()

  Return the authentication type used to authenticate our cached Principal, if any.

### setAuthType

    public void setAuthType(java.lang.String authType)

  Set the authentication type used to authenticate our cached Principal, if any.

  Parameters:
    `authType` - The new cached authentication type

### getCreationTime

    public long getCreationTime()

  Return the creation time for this session.

### setCreationTime

    public void setCreationTime(long time)

  Set the creation time for this session. This method is called by the Manager when an existing Session instance is reused.

  Parameters:
    `time` - The new creation time

### getId

    public java.lang.String getId()

  Return the session identifier for this session.

### setId

    public void setId(java.lang.String id)

  Set the session identifier for this session.

  Parameters:
    `id` - The new session identifier

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Session implementation and the corresponding version number, in the format `<description>/<version>`.

### getLastAccessedTime

    public long getLastAccessedTime()

  Return the last time the client sent a request associated with this session, as the number of milliseconds since midnight, January 1, 1970 GMT. Actions that your application takes, such as getting or setting a value associated with the session, do not affect the access time.

### getManager

    public Manager getManager()

  Return the Manager within which this Session is valid.

### setManager

    public void setManager(Manager manager)

  Set the Manager within which this Session is valid.

  Parameters:
    `manager` - The new Manager

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

  Return the maximum time interval, in seconds, between client requests before the servlet container will invalidate the session. A negative time indicates that the session should never time out.

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int interval)

  Set the maximum time interval, in seconds, between client requests before the servlet container will invalidate the session. A negative time indicates that the session should never time out.

  Parameters:
    `interval` - The new maximum interval

### setNew

    public void setNew(boolean isNew)

  Set the `isNew` flag for this session.

  Parameters:
    `isNew` - The new value for the `isNew` flag

### getPrincipal

    public java.security.Principal getPrincipal()

  Return the authenticated Principal that is associated with this Session. This provides an `Authenticator` with a means to cache a previously authenticated Principal, and avoid potentially expensive `Realm.authenticate()` calls on every request. If there is no current associated Principal, return `null`.

### setPrincipal

    public void setPrincipal(java.security.Principal principal)

  Set the authenticated Principal that is associated with this Session. This provides an `Authenticator` with a means to cache a previously authenticated Principal, and avoid potentially expensive `Realm.authenticate()` calls on every request.

  Parameters:
    `principal` - The new Principal, or `null` if none

### getSession

    public javax.servlet.http.HttpSession getSession()

  Return the `HttpSession` for which this object is the facade.

### setValid

    public void setValid(boolean isValid)

  Set the `isValid` flag for this session.

  Parameters:
    `isValid` - The new value for the `isValid` flag

### isValid

    public boolean isValid()

  Return the `isValid` flag for this session.

### access

    public void access()

  Update the accessed time information for this session. This method should be called by the context when a request comes in for a particular session, even if the application does not reference it.

### addSessionListener

    public void addSessionListener(SessionListener listener)

  Add a session event listener to this component.

### endAccess

    public void endAccess()

  End access to the session.

### expire

    public void expire()

  Perform the internal processing required to invalidate this session, without triggering an exception if the session has already expired.

### getNote

    public java.lang.Object getNote(java.lang.String name)

  Return the object bound with the specified name to the internal notes for this session, or `null` if no such binding exists.

  Parameters:
    `name` - Name of the note to be returned

### getNoteNames

    public java.util.Iterator getNoteNames()

  Return an Iterator containing the String names of all notes bindings that exist for this session.

### recycle

    public void recycle()

  Release all object references, and initialize instance variables, in preparation for reuse of this object.

### removeNote

    public void removeNote(java.lang.String name)

  Remove any object bound to the specified name in the internal notes for this session.

  Parameters:
    `name` - Name of the note to be removed

### removeSessionListener

    public void removeSessionListener(SessionListener listener)

  Remove a session event listener from this component.

### setNote

    public void setNote(java.lang.String name,
                        java.lang.Object value)

  Bind an object to a specified name in the internal notes associated with this session, replacing any existing binding for this name.

  Parameters:
    `name` - Name to which the object should be bound
    `value` - Object to be bound to the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.